-- tablespace_map.sql
--
-- This script will show a roadmap to all extents, allocated
-- and free, in the tablespace you supply. 

SET VERIFY OFF
ACCEPT ts_name PROMPT 'Enter tablespace name: '

SELECT m.file_id, m.block_id, m.blocks, m.bytes, m.segment_name
  FROM (SELECT file_id, block_id, blocks, bytes, segment_name
          FROM dba_extents WHERE tablespace_name = UPPER('&ts_name')
         UNION
        SELECT file_id, block_id, blocks, bytes, '<free>' AS segment_name
          FROM dba_free_space WHERE tablespace_name = UPPER('&ts_name')
       ) m
 ORDER BY m.file_id, m.block_id
/
